import { app } from "../App";
import { API } from "../consts/API";
import { GAPI, ModeOnHookOV } from "../consts/GAPI";
import { GUI } from "../ui/UIConfig";
import BaseData from "./BaseData";

//无限模式数据类
export default class GOnHookData extends BaseData{

    info:ModeOnHookOV;

    async onInit() {
        this.info = await GAPI.GOnHookInfo();
        console.log("GOnHookData Info",this.info);
    }

    //切换地图
    async setMap(mapId:number){

        this.info = await GAPI.GOnHookSetMap(mapId);
        app.layer.Open(GUI.Tips,{text:"切换地图成功"});

    }

}

