import { sys } from "cc";
import { WorldCanvas } from "../WorldCanvas";

//UI 动画
export enum UIPetAnim{
    std = "std",
}

//存储Key
export enum StorageEnum{
    Token = "Storage_Token", // Token
}

export class StorageData {

    static get(key:string):string{
        return sys.localStorage.getItem(key);
    }

    static set(key:string,value:string){
        sys.localStorage.setItem(key,value);
    }

    static delect(key:string){
        sys.localStorage.removeItem(key);
    }

}

export class GData {
    //层级
    static layer = {
        World: 1,
    };

    //世界画布节点
    static WorldCanvas: WorldCanvas;
}

