package cn.jisol.game.entity.game;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Builder;
import lombok.Data;

/**
 * 资源类
 */
@Builder
@Data
@TableName("`resource`")
public class Resource {

    @TableId(type = IdType.AUTO)
    private Long resourceId;                //资源Id
    private Long playerId;                  //玩家Id
    private int resourceTbId;              //资源配置表Id
    private Long resourceValue;             //资源数量
    @Version
    private Integer version;

}
